<?php
namespace Modules\Administration\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class GestionDroitUtilisateur
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function listeUser(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function popupDroitUser(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function validateDroitUser(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function listeDroit(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function createGrpDroit(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function validateGrpDroit(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function popupGrpDroit(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function validatePopupGrpDroit(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function userInGrpDroit(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function updateUserInGrpDroit(): bool
    {
        return true;
    }
}
